javax.json

## Interface JsonReaderFactory

-     public interface JsonReaderFactory

  Factory to create `JsonReader` instances. If a factory instance is configured with some configuration, that would be used to configure the created reader instances.

  `JsonReader` can also be created using `Json`'s `createReader` methods. If multiple reader instances are created, then creating them using a reader factory is preferred.

  For example:

       JsonReaderFactory factory = Json.createReaderFactory(...);
       JsonReader reader1 = factory.createReader(...);
       JsonReader reader2 = factory.createReader(...);

  All the methods in this class are safe for use by multiple concurrent threads.

  Author:
    Jitendra Kotamraju

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonReader` | `createReader(InputStream in)` Creates a JSON reader from a byte stream.
    `JsonReader` | `createReader(InputStream in, Charset charset)` Creates a JSON reader from a byte stream.
    `JsonReader` | `createReader(Reader reader)` Creates a JSON reader from a character stream.
    `Map<String,?>` | `getConfigInUse()` Returns read-only map of supported provider specific configuration properties that are used to configure the created JSON readers.

- - ### Method Detail

    - #### createReader

          JsonReader createReader(Reader reader)

      Creates a JSON reader from a character stream. The reader is configured with the factory configuration.
      Parameters:
        `reader` - a reader from which JSON is to be read
      Returns:
        a JSON reader

    - #### createReader

          JsonReader createReader(InputStream in)

      Creates a JSON reader from a byte stream. The character encoding of the stream is determined as described in RFC 4627. The reader is configured with the factory configuration.
      Parameters:
        `in` - a byte stream from which JSON is to be read
      Returns:
        a JSON reader

    - #### createReader

          JsonReader createReader(InputStream in,
                                Charset charset)

      Creates a JSON reader from a byte stream. The bytes of the stream are decoded to characters using the specified charset. The reader is configured with the factory configuration.
      Parameters:
        `in` - a byte stream from which JSON is to be read
        `charset` - a charset
      Returns:
        a JSON reader

    - #### getConfigInUse

          Map<String,?> getConfigInUse()

      Returns read-only map of supported provider specific configuration properties that are used to configure the created JSON readers. If there are any specified configuration properties that are not supported by the provider, they won't be part of the returned map.
      Returns:
        a map of supported provider specific properties that are used to configure the readers. The map be empty but not null.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.